Блог ОС CloudLinux - бета-версия: EasyApache 4 выпущен для CloudLinux
Блог CloudLinux OS

Бета-версия: EasyApache 4 выпущен для CloudLinux

Бета-версия: EasyApache 4 выпущен для CloudLinux

Мы рады сообщить, что EasyApache 4 для CloudLinux доступен из нашего бета-репозитория. Все пакеты EasyApache готовы работать с CloudLinux.

Советы и ограничения:

  • Если у вас возникают конфликты с установкой профиля во время миграции «/etc/cpanel/ea4/profiles/custom/ea3_state_at_migration-****************.json», просто установите профиль по умолчанию cPanel.
  • alt-php должен быть установлен или обновлен только из репозитория облачных обновлений:

yum groupinstall alt-php --enablerepo = cloudlinux-updates-testing

  • Предел EntryProcesses не работает, когда EA4 настроен в режиме «php as cgi». Мы работаем над его исправлением, поэтому предпочтительный режим для php - suppp. Если у вас есть только обработчик cgi, установите его:
  1. yum install ea-apache24-mod_suphp.
  2. выберите для любого обработчика suphp версии ea-php.
  • Используйте cPanel 11.55.999.66 (55.999.66) или более высокую версию.
  • Это самый первый выпуск EA4 для CloudLinux, в случае каких-либо ошибок не стесняйтесь писать в нашу службу поддержки - https://helpdesk.cloudlinux.com/

Если EasyApache 4 был установлен ранее на вашем сервере CentOS, и вы хотите перейти на CloudLinux:

  1. Преобразование сервера из CentOS 6.x или 7.x в CloudLinux: (http://docs.cloudlinux.com/index.html?converting_existing_servers.html)
  2. cd ~; Wget http://repo.cloudlinux.com/CloudLinux / источников / cloudlinux_ea3_to_ea4; sh cloudlinux_ea3_to_ea4 --convert
  3. Перезапустить службу Apache

Если EasyApache 4 ранее не был установлен на вашем сервере CentOS, и вы хотите перейти на CloudLinux:

  1. Преобразование сервера из CentOS 6.x или 7.x в CloudLinux (http://docs.cloudlinux.com/index.html?converting_existing_servers.html)
  2. cd ~; wget http://repo.cloudlinux.com/cloudlinux/sources/cloudlinux_ea3_to_ea4; sh cloudlinux_ea3_to_ea4 --convert

(Найдите примеры использования сценария cloudlinux_ea3_to_ea4 ниже).

Установите EasyApache4 на чистый CloudLinux из образа ISO или перейдите на EasyApache4 на существующие серверы CloudLinux:

  1. Установить cPanel
  2. cd ~; wget http://repo.cloudlinux.com/cloudlinux/sources/cloudlinux_ea3_to_ea4; sh cloudlinux_ea3_to_ea4 --convert

(Найдите примеры использования сценария cloudlinux_ea3_to_ea4 ниже).

Как перенести обратно в EA3 для CloudLinux:

  1. cd ~; w wget http://repo.cloudlinux.com/cloudlinux/sources/cloudlinux_ea3_to_ea4; sh cloudlinux_ea3_to_ea4 --revert

О параметрах сценария миграции cloudlinux_ea3_to_ea4:

cloudlinux_ea3_to_ea4 [ДОПОЛНИТЕЛЬНЫЕ] ДЕЙСТВИЯ

Применение:

-h, --help Распечатать это сообщение

Действия (требуемый параметр, показывает, что должен делать скрипт):

-c, --convert Преобразование EA3 в EA4

-r, --revert Возврат к EA3

Дополнения (дополнительный параметр, добавление к действию установки дополнительных компонентов):

-m, --mod_lsapi Установить mod_lsapi

-p, --mod_passenger Установить alt-mod-passenger

-a, --altphp Установка / обновление alt-php

Параметры ADDITIONS не могут использоваться без ДЕЙСТВИЙ

Примеры:

  • Если вы хотите установить EA4 с mod_lsapi и обновить / установить alt-php:

sh cloudlinux_ea3_to_ea4 --convert --mod_lsapi --altphp

  • Если вы хотите установить EA4 с mod_lsapi, alt_mod_passenger и обновить / установить alt-php:

sh cloudlinux_ea3_to_ea4 --convert --mod_lsapi --altphp --mod_passenger

  • Чтобы восстановить EA3 с помощью mod_lsapi:

sh cloudlinux_ea3_to_ea4 --revert --mod_lsapi

Ядра Debian 7 и 8 исправлены до последней версии с ядром ...
Бета: обновлено alt-suexec

Комментарии 10

Предполагается ли suhosin для бета-поддержки EA4? Я конвертировал, но пока не вижу, что suhosin доступен в репозитории yum cl-ea4.

Предполагается ли suhosin для бета-поддержки EA4? Я конвертировал, но пока не вижу, что suhosin доступен в репозитории yum cl-ea4.

cPanel не поддерживает этот пакет еще в своих хранилищах, поэтому мы в настоящее время не планируем добавлять дополнительные пакеты (для предотвращения нарушения работы EasyApache 4).

cPanel не поддерживает этот пакет еще в своих хранилищах, поэтому мы в настоящее время не планируем добавлять дополнительные пакеты (для предотвращения нарушения работы EasyApache 4).
Гость - Гость в понедельник 15 август 2016 16: 20

Может ли suhosin из альт-php использоваться в EA4?

Может ли suhosin из альт-php использоваться в EA4?

Теоретически - да; если модуль, используемый из версии alt-php, совпадает с версией ea-php. Обновление может вызвать проблемы - если подпись модуля в ea-php изменится, перестанет работать.

Теоретически - да; если модуль, используемый из версии alt-php, совпадает с версией ea-php. Обновление может вызвать проблемы - если подпись модуля в ea-php изменится, перестанет работать.

Привет всем,
будет ли «выбрать php-версию» cloudlinux по-прежнему, как сейчас, или будет php 5.2, 5.3 ecc больше не будет доступен, если я сделаю обновление easyapache 4?
Спасибо за ваш отзыв
n*

эй, будет ли «выбрать php-версию» cloudlinux по-прежнему так, как сейчас, или будет php 5.2, 5.3 ecc больше не будет доступен, если я сделаю обновление easyapache 4? спасибо за ваши отзывы n *

Alt-PHP будет доступен для EasyApache 4, как и для EasyApache 3, но пакеты Alt-PHP будут управляться не через веб-интерфейс.

Alt-PHP будет доступен для EasyApache 4, как и для EasyApache 3, но пакеты Alt-PHP будут управляться не через веб-интерфейс.

Я второй «гость» от вопроса Нади: будут ли CloudLinux и EasyApache 4 поддерживать версии PHP так же стары, как PHP 5.3? Мне нужно иметь возможность запускать выбранные учетные записи CPanel на PHP 5.3.

Я второй «гость» от вопроса Нади: будут ли CloudLinux и EasyApache 4 поддерживать версии PHP так же стары, как PHP 5.3? Мне нужно иметь возможность запускать выбранные учетные записи CPanel на PHP 5.3.

Alt-php53 по-прежнему будет доступен для EasyApache 4.

Alt-php53 по-прежнему будет доступен для EasyApache 4.

Любой стадион, когда EasyApache 4, выпущенный для CloudLinux, будет неработоспособным?

Любой стадион, когда EasyApache 4, выпущенный для CloudLinux, будет неработоспособным?
https://cloudlinux.com/cloudlinux-os-blog/entry/updates-for-easyapache-4-delivered
Уже зарегистрирован? ВОЙТИ
гость
Четверг, 12 декабря 2019

Защитный код изображение